#if !defined(MAIN_H)
#define MAIN_H TRUE
/* ========================================================================
 * Name - main.h
 *
 * Description - interface to man.c
 *
 * $Id: main.h,v 1.2 1992/09/15 22:37:25 penneyj Exp $
 *
 * $Log: main.h,v $
 * Revision 1.2  1992/09/15  22:37:25  penneyj
 * misc facelift, preparing for distribution on alt.sources
 *
 * Revision 1.1  1992/09/15  22:18:47  penneyj
 * Initial revision
 *
 *========================================================================
 */

typedef enum { INVOKED_MAN, INVOKED_WHATIS, INVOKED_APROPOS } prog_t;

/*
 *  If we want the same program to do man, whatis and
 *  apropos we use the flag whattodo.  We then check options
 *  and argv[0].                                        
 */
prog_t whattodo;

/*
 *  whoami holds a copy of argv[0] - for
 *  printing 'Usage' and checking what to do.
 */
const char *whoami;

/*
 *  Command-line boolean options.
 */
BoolType  igncas_f,
     kilcap_f,
     verbos_f,
     debug_f,
     every_f,
     only1_f,
     nopag_f,
     reform_f;

/*
 *  notyet holds names of halfway preprocessed files - to be
 *  deleted if we're aborted.
 */
const char *notyet;

/*
 *  childtokill holds the PID of a child to kill.
 */
int  childtokill;

/*
 * manmacros for customization
 */
const char *manmacros;

#if defined(FLG_PROTOTYPE)
void warning(const char *s0, const void *s1);
#else
void warning();
#endif

#if defined(FLG_PROTOTYPE)
void cleanup(void);
#else
void cleanup();
#endif

#if defined(FLG_PROTOTYPE)
BoolType insect(const char *str);
#else
BoolType insect();
#endif

#if defined(FLG_PROTOTYPE)
BoolType insect2(char a);
#else
BoolType insect2();
#endif

#endif /* MAIN_H */
