#define MATCH_C TRUE
/* ========================================================================
 * Name - match.c
 *
 * Description - 
 *
 * $Id: match.c,v 1.2 1992/09/15 22:37:32 penneyj Exp $
 *
 * $Log: match.c,v $
 * Revision 1.2  1992/09/15  22:37:32  penneyj
 * misc facelift, preparing for distribution on alt.sources
 *
 * Revision 1.1  1992/09/15  22:18:47  penneyj
 * Initial revision
 *
 *========================================================================
 */

#include "general.h"
#include "config.h"
#include "main.h"

#include "match.h" /* this file's interface */

#if defined(FLG_PROTOTYPE)
BoolType amatch(const char *line, const char *word,int wordlen)
#else
BoolType amatch(line,word,wordlen)
     const char *word, *line;
     int wordlen;
#endif
{
  register const char *linend;
  register int increment, wl1;

  /*
  **  printf("am(%s,%s,%d)\n",line,word,wordlen);
  */

  linend = line;
  wl1 = wordlen - 1;
  while (*linend != '\0')
    linend++;

  do {
    register int idx;

    idx = increment = wordlen;
    while (idx-- > 0)
      if (word[idx] == line[wl1]) {
	increment = wl1 - idx;
	if (increment == 0)
	  if (strncmp(line,word,wordlen) == 0) 
	    return TRUE;
	  else
	    increment = 1;
	break;	    
	}
      line += increment;
    } while (line + wl1 < linend);
  return FALSE;
}

#if defined(FLG_PROTOTYPE)
BoolType wmatch(const char *line, const char *word, int wordlen)
#else
BoolType wmatch(line,word,wordlen)
     const char *line, *word;
     int wordlen;
#endif
{
  char *linend;
  extern int debug_f;
  
  linend = strchr(line,'(');
  if (linend != NULL)
    *linend = '\0';
  else {
    if (debug_f)
      fprintf(stderr,"%s: Warning: Wrong format on line:\n%s", whoami, line);
    return 0;
    }
  do {
    if (strncmp(line,word,wordlen) == 0 &&
	strchr(" ,", line[wordlen]) != NULL) {
      *linend = '(';
      return TRUE;
      }
    else
      line = strchr(line,' ');
    } while (line ++ != NULL);
  return FALSE;
}
